Create Bulk Entity
curl --request POST \
--url https://api.royalti.io/user/bulk/entity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"artistName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"splitShare": 123
}
],
"sendEmail": true,
"redirect_url": "<string>",
"message": "<string>"
}
'import requests
url = "https://api.royalti.io/user/bulk/entity"
payload = {
"data": [
{
"artistName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"splitShare": 123
}
],
"sendEmail": True,
"redirect_url": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
artistName: '<string>',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
splitShare: 123
}
],
sendEmail: true,
redirect_url: '<string>',
message: '<string>'
})
};
fetch('https://api.royalti.io/user/bulk/entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bulk entity creation completed.",
"createdEntities": [
{
"artistName": "Melodic Harmony",
"userName": "Emma Johnson"
}
],
"processedCount": 1,
"errors": [
"Invalid email format for Michael Chen",
"Invalid split share percentage for Sonic Wave"
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"status": "error",
"message": "Insufficient permissions. Required role: admin or higher"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}User
Create Bulk Entity
/user/bulk/entity
POST
/
user
/
bulk
/
entity
Create Bulk Entity
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/user/bulk/entity Description: The/user/bulk/entity endpoint allows the creation of multiple entities in bulk by providing details for each entity, including artist name, first name, last name, email, and split share.
Authorization:
- Required role:
adminor higher
POST
Request Payload:
| Parameter | Type | Description |
|---|---|---|
| data | array | An array of entity objects with their details. |
| sendEmail | boolean | This sends an invite email to the entities, by default it is true. |
| redirect_url (Optional) | string | The URL to redirect after creation. |
| message (Optional) | string | Custom message for invitation emails. |
Code Examples
const response = await fetch('https://api.royalti.io/user/bulk/entity', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"data": [
{
"artistName": "sample-artistName",
"firstName": "sample-firstName",
"lastName": "sample-lastName",
"email": "sample-email",
"splitShare": 1
}
],
"sendEmail": true,
"redirect_url": "sample-redirect_url",
"message": "sample-message"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/user/bulk/entity',
headers={
'Authorization': f'Bearer {token}'
},
json={"data":[{"artistName":"sample-artistName","firstName":"sample-firstName","lastName":"sample-lastName","email":"sample-email","splitShare":1}],"sendEmail":true,"redirect_url":"sample-redirect_url","message":"sample-message"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/user/bulk/entity \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"data":[{"artistName":"sample-artistName","firstName":"sample-firstName","lastName":"sample-lastName","email":"sample-email","splitShare":1}],"sendEmail":true,"redirect_url":"sample-redirect_url","message":"sample-message"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I